import type {
  IAllRacesPagePresenter,
  AllRacesPageResultDTO,
  AllRacesPageViewModel,
} from '@core/racing/application/presenters/IAllRacesPagePresenter';

export class AllRacesPagePresenter implements IAllRacesPagePresenter {
  private viewModel: AllRacesPageViewModel | null = null;

  reset(): void {
    this.viewModel = null;
  }

  present(dto: AllRacesPageResultDTO): void {
    this.viewModel = dto;
  }

  getViewModel(): AllRacesPageViewModel | null {
    return this.viewModel;
  }
}